Observation Instance
Get a list of Observation objects.
### Available end points:
- `/observations/` - Will list all Results in the database
- `/observations.json` - Will return all Results in json format. This can
also be achieved by using the accept header. `application/json`
- `/observations/<object_id>/` - Returns Results object with that id
### Available Methods:
- `GET`
- `HEAD`
### Available filters:
- `title`
- `uuid`
- `keywords`
- `status`
- `result_field`
- `discoveryKeywords`
- `updateFrequency`
- `nonGeographicFlag`
- `publicationState`
- `permissions`
### How to use filters:
These filters can be used like django query filters using __ for related model relationships.
- `/observations/?uuid=d594d53df2612bbd89c2e0e770b5c1a0`
- `/observations/?status=completed`
- `/observations/?results_field__dataPath__startswith=/neodc/esacci`
- `/observations/?discoveryKeywords__name=ESACCI`
- `/observations/?nonGeographicFlag=True`
Filters can be stacked to build an 'AND' relationship. E.g.
- `/observations/?publicationState__in=published,citable&nonGeographicFlag=True`
- `/observations/?publicationState__in=published,citable&discoveryKeyword__name=NDGO0003`
GET /api/v2/observations/8585/?format=api
{ "ob_id": 8585, "uuid": "7201151d40683a4420da90c30640d4fa", "title": "Theme 2 Sub Theme 6: Global Phytoplankton Size Class (PSC) 10 Year Monthly Climatology (1997-2007) from Plymouth Marine Laboratory using SeaWiFS satellite", "abstract": "This dataset contains the fractional contributions of three phytoplankton size classes (micro-, nano- and picoplankton) over the globe for the period 1997-2007, as produced by the Plymouth Marine Laboratory (PML) using SeaWIFs data. A 10 year monthly climatology is available together with accompanying maps. This dataset was produced as part of the National Centre for Earth Observation (NCEO) Theme 2 programme (Monitoring, Diagnosis and Prediction of the Global Carbon-Cycle), Quantification of ocean biogeochemistry and carbon fluxes sub-theme 6 (ST6).", "keywords": "phytoplankton, global, climatology, nceo", "publicationState": "published", "dataPublishedTime": "2012-08-29T13:55:21", "doiPublishedTime": null, "updateFrequency": "notPlanned", "status": "completed", "result_field": { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/8586/?format=api", "dataPath": "/neodc/nceo-carbon/data/ST6-ocean_biogeochemistry/Global-PSC-Climatologies/monthly-10yr-climatology/", "oldDataPath": [], "storageLocation": "internal", "storageStatus": "online", "volume": 2693476648, "numberOfFiles": 25, "fileFormat": "NetCDF data files and Associated maps are stored as png files.\r\n\r\nA metadata file is associated with the files in the archive. \r\n\r\n" }, "timePeriod": "https://api.catalogue.ceda.ac.uk/api/v2/times/2451/?format=api", "geographicExtent": "https://api.catalogue.ceda.ac.uk/api/v2/bboxes/1/?format=api", "nonGeographicFlag": false, "phenomena": [ "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/50543/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/68281/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/68282/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/68283/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/68284/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/68285/?format=api" ], "dataLineage": "Data prepared by authors and sent to NERC Earth Observations Data Centre (NEODC) for archiving. Data files are checked for CF conventions compliance. Filenames follow the BADC/NEODC filename convention.", "removedDataTime": null, "removedDataReason": "", "language": "English", "identifier_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/identifiers/5494/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/identifiers/8540/?format=api" ], "projects": [ "https://api.catalogue.ceda.ac.uk/api/v2/projects/8587/?format=api" ], "observationcollection_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/observationcollections/8584/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/observationcollections/30127/?format=api" ], "responsiblepartyinfo_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/rpis/33919/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/33918/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/33924/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/33920/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/33921/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/33922/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/42562/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/42558/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/54742/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/42561/?format=api" ], "procedureAcquisition": null, "procedureCompositeProcess": null, "procedureComputation": "https://api.catalogue.ceda.ac.uk/api/v2/computations/8588/?format=api", "permissions": [ { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/2526/?format=api", "useLimitation": null, "accessConstraints": null, "accessCategory": "public", "accessRoles": null, "label": "public: None group", "licenceURL": "http://www.nationalarchives.gov.uk/doc/open-government-licence/version/3/", "licenceClassifications": "any" } ], "discoveryKeywords": [ { "ob_id": 1138, "name": "NDGO0003" } ] }